.TH REFHASHFEEDER "8" "December 2008" "Maemo Software" "Maemo Software"
.SH NAME
refhashfeeder \- Feed reference hashes into kernel
.SH SYNOPSIS
.B refhashfeeder
[[\fI-a|\fR[\fI-x|-s|-i\fR][\fI-e\fR][\fI-n\fR]]\fI|-c fname|-h|-v\fR] \fIfname\fR
.SH DESCRIPTION
.B Refhashfeeder
is used to feed reference hash values into kernel. It can be
started from the init script. If the kernel itself reads the
reference hashlist there is no need to invoke this command
during boot. However, this command is needed to install new
reference hashes for software updates and third-party software.
.PP
This command writes records to Aegis Validator securityfs entry
.B /sys/kernel/security/digsig/hashlist.
The record contains an
identifier (either 'A' or 'a') and then SHA1 hash and inode
number. If 'a' is used then also device type field is written
before the inode number field. Use option -d to enable device
identifier support.
.SH OPTIONS

.TP
\fB\-c\fR filename Securityfs/sysfs hashfile to write
.IP
Default is /sys/kernel/security/digsig/hashlist
.HP
\fB\-d\fR Include device identifier to identify filesystem volume (default).
.HP
\fB\-m\fR mountpoint Filenames relative to thi smount point.
.HP
\fB\-n\fR Do not write entries \- use /dev/null
.HP
\fB\-v\fR Verbose output
.HP
\fB\-h\fR Print usage information
.SH NOTE
If this is started from the init script and the kernel itself
also reads the reference hashlist then reference hashlist values
are load twice.
.SH SEE ALSO
.BR refhashmake(8)
.SH FILES
.I /etc/refhashlist
The list of reference hashes.
.SH HISTORY
.B refhashfeeder
command appeared in Maemo Harmattan release.
.SH AVAILABILITY
The refhashfeeder command is part of refhashutils package and
is available from Maemo Software.
