.TH REFHASHMAKE "8" "December 2008" "Maemo Software" "Maemo Software"
.SH NAME
Refhashmake \- Create reference hashes
.SH SYNOPSIS
.B refhashmake
[\fIOPTION\fR...] [\fIFILE\fR]...
.SH DESCRIPTION
.B Refhashmake
calculates reference hashes from ELF binaries. Filenames should be given
as arguments. Alternatively filenames can be read from a file. These hashes
are recalculated and verified by Linux kernel module to authorize execution
of ELF applications and libraries
.SH OPTIONS

.TP
\fB\-a\fR, \fB\-\-all\fR
Process both scripts and ELF files (default)
.TP
\fB\-c\fR, \fB\-\-create\fR
Use new tag-length-value format (default).
.TP
\fB\-h\fR, \fB\-\-help\fR
Print usage information
.TP
\fB\-n\fR, \fB\-\-no\-links\fR
Do not calculate reference hashes for symbolic link entries
.TP
\fB\-b\fR, \fB\-\-no\-exebit\fR
Do not automatically assume that all files having execute bit set are
executables and that hashes of those files should be added into the list.
Default behavior is now that all files that are set to be executables are
listed in the reference hashlist file. 
.TP
\fB\-o\fR, \fB\-\-source\-id\fR
Include source identifier field to output (the id is given as an argument)
.TP
\fB\-p\fR, \fB\-\-prefix\fR
Add prefix to the filename (the prefix is given as an argument)
.TP
\fB\-r\fR, \fB\-\-relative\-path\fR
Use relative pathnames in output (default)
.TP
\fB\-u\fR, \fB\-\-full\-path\fR
Use full pathnames in output
.TP
\fB\-s\fR  \fB\-\-scripts\fR
Process only scripts instead of ELF files
.TP
\fB\-e\fR  \fB\-\-elf\fR
Process only ELF files and not scripts
.TP
\fB\-z\fR  \fB\-\-zeroize\fR
Treat ELF signature section to contain zeros when calculating hash value
.TP
\fB\-x\fR, \fB\-\-xfiles\fR
Extract filenames from the file given as an argument
.TP
\fB\-f\fR, \fB\-\-file\fR
Filename(s) as an argument
.SH SEE ALSO
.BR refhashfeeder(8)
.SH FILES
.I /etc/refhashlist
The list of reference hashes.
.SH HISTORY
.B refhashmake
command utility is part of Aegis security framework.
.SH AVAILABILITY
The refhashmake command is a part of the refhashutils package and
is available from Maemo Software.
