/*
 * This file is part of reference hash utilities
 *
 * Copyright (C) 1998, 1999, 2000, 2001 Free Software Foundation, Inc.
 * Copyright (C) 2004 g10 Code GmbH
 * Copyright (C) 2008-2009 Nokia Corporation and/or its subsidiary(-ies).
 *
 * Contact: Markku Kylänpää <ext-markku.kylanpaa@nokia.com>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 * SHA-1 code is taken from gnupg 1.3.92. 
 *
 * This software is based on sha1sum.c (see information below).
 *
 * sha1sum.c - print SHA-1 Message-Digest Algorithm 
 */


#ifndef SHA1_HEADER_FILE__
#define SHA1_HEADER_FILE__

/*******************************************************************************
 * TYPES
 ******************************************************************************/

typedef struct {
	unsigned int h0,h1,h2,h3,h4;
	unsigned int nblocks;
	unsigned char buf[64];
	int  count;
	int zeroize;
	int offset;
	int size;
} sha1_context;

/*******************************************************************************
 * FUNCTIONS
 ******************************************************************************/

void sha1_init(sha1_context *hd);
void sha1_update(sha1_context *hd, unsigned char *inbuf, size_t inlen);
void sha1_final(sha1_context *hd);

#endif /* SHA1_HEADER_FILE__ */
